Index: chan_sip.c
===================================================================
--- chan_sip.c	(revision 82076)
+++ chan_sip.c	(working copy)
@@ -4036,14 +4036,14 @@
 		p->owner = NULL;  /* Owner will be gone after we return, so take it away */
 		return 0;
 	}
-	if (ast_test_flag(ast, AST_FLAG_ZOMBIE) && p->refer)
-       		ast_debug(1, "SIP Transfer: Hanging up Zombie channel %s after transfer ... Call-ID: %s\n", ast->name, p->callid);
-	else
+	if (ast_test_flag(ast, AST_FLAG_ZOMBIE)) {
+		if (p->refer)
+			ast_debug(1, "SIP Transfer: Hanging up Zombie channel %s after transfer ... Call-ID: %s\n", ast->name, p->callid);
+		else
+			ast_debug(1, "Hanging up zombie call. Be scared.\n");
+	} else
 		ast_debug(1, "Hangup call %s, SIP callid %s)\n", ast->name, p->callid);
 
-	if (ast_test_flag(ast, AST_FLAG_ZOMBIE)) 
-		ast_debug(1, "Hanging up zombie call. Be scared.\n");
-
 	sip_pvt_lock(p);
 	if (ast_test_flag(&p->flags[0], SIP_INC_COUNT) || ast_test_flag(&p->flags[1], SIP_PAGE2_CALL_ONHOLD)) {
 		if (sipdebug)
